Subject: [manet] Re: manet Digest, Vol 6, Issue 19

From: Chetan N <[email-masked]>
Date: Sun, 17 Oct 2004 15:37:12 -0700

Hi everyone,

I am having a few problems configuring Swans, I compiled the code but
got the this message when I tried to run it, thanks for the comments

D:\others\chetan\adhoc\swans_src\src>jist jist.swans.Main
Error: no `server' JVM at `C:\Program Files\Java\j2re1.5.0\bin\server\jvm.dll'.

My jre is in d: drive but I have set the path to include this.

Thanks,
chetan

On Fri Oct 15 07:26:06 PDT 2004, [email-masked]
<[email-masked]> wrote:
> Send manet mailing list submissions to
>        [email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
>        https://www1.ietf.org/mailman/listinfo/manet
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
> 
> You can reach the person managing the list at
>        [email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of manet digest..."
> 
> Today's Topics:
> 
>   1. Re: How to change de Active Route Timeout in AODV ([email-masked])
>   2. prob in 'make' (anjali mihir)
>   3. Re: How to change de Active Route Timeout in AODV
>      (Xavier Marchador)
>   4. WOCN 2005 CFP (Boon Yeo)
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Thu, 14 Oct 2004 09:29:16 -0700 (MST)
> From: [email-masked]
> Subject: Re: [manet] How to change de Active Route Timeout in AODV
> To: Manel Guerrero <[email-masked]>
> Cc: [email-masked]
> Message-ID:
>        <[email-masked]>
> Content-Type: TEXT/PLAIN; charset=US-ASCII
> 
> Hi,
> 
> You can change it in the tcl script too.
> In AODV.cc, bind the variable using
> bind("actrttout",&ACTIVE_ROUTE_TIMEOUT);
> and in the tcl file use
> 
> Agent/AODV set actrttout $opt(val)
> 
> where $opt(val) is the actual value.
> 
> Hope this helps
> 
> Thanks
> Kiran Vadde
> 
> On Thu, 14 Oct 2004, Manel Guerrero wrote:
> 
> > Hi Xavier :)
> >
> > Xavier M. wrote:
> >
> >  > Hi all,
> >  >
> >  > I would like to know how to change the ACTIVE ROUTE TIMEOUT parameter in the tcl script for using it in a ns-2 simulation. I am using the AODV routing protocol. What is the default value? is it 3? what other values can be set?
> >
> >
> > In the file 'ns-2.27/aodv/aodv.h'
> >      line 79 you have the '#define':
> >
> > 8<--------
> > #define ACTIVE_ROUTE_TIMEOUT    10                // 50 seconds
> > -------->8
> >
> > So the default value is 10 seconds (ignore the comment at the end of the line).
> >
> > You can set a different value just by replacing the '10' for whatever number
> > of seconds you preffer. (And then recompile the thing).
> >
> > I don't know if there is a way to do it without changing the source code.
> > A fast search sugests that there is no other way:
> >
> > 8<--------
> > foobar/ns-2.27/aodv$ fgrep "ACTIVE_ROUTE_TIMEOUT" *
> > aodv.cc:     // Set expiry time to CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT
> > aodv.cc:       rt0->rt_expire = CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT;
> > aodv.cc:   rt->rt_expire = CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT;
> > aodv.h:#define ACTIVE_ROUTE_TIMEOUT    10                               // 50 seconds
> > foobar/ns-2.27/aodv$
> > -------->8
> >
> > Hope this helps ;)
> >
> >      Manel
> >
> > P.D.: I didn't know telefonica was working on this ;)
> >
> >  > I am using the ns-allinone2.27 package and I don't know whether it can be done directly with tcl or not.
> >  >
> >  >
> >  >
> >  > thank you for your help
> >  >
> >  > Xavier M.
> >  >
> >  > _______________________________________________
> >  > manet mailing list
> >  > [email-masked]
> >  > https://www1.ietf.org/mailman/listinfo/manet
> >
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> >
> 
> Kiran Vadde
> Graduate Research Associate
> Dept. of Computer Science and Eng.
> Arizona State University
> 
> ------------------------------
> 
> Message: 2
> Date: 14 Oct 2004 19:32:59 -0000
> From: "anjali mihir" <[email-masked]>
> Subject: [manet] prob in 'make'
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> An HTML attachment was scrubbed...
> URL: http://www1.ietf.org/pipermail/manet/attachments/20041014/09dd3c81/attachment.htm
> -------------- next part --------------
>  
> hi every one
> i am trying to install glomosim in linux but facing prob at the time of make can any one help:
> 
> i have installed glomosim in root folder and parsec red hat 7.2 in \usr\local folder.after this i have set path export PCC_DIRECTORY=/usr/local/parsec.then went to glomosim main n then did  make but sfter this its getting this error:
> 
> [root@localhost main]# make
> pcc -g -O3 -I../include/ -I../transport -I../transport/tcp -I../application -I../mac -I../main -I../network -I../radio -clock longlong -lm -c ../main/glomo.pc
> make: pcc: Command not found
> make: *** [../main/glomo.o] Error 127
> [root@localhost main]#
> 
> can u plz suggest why i am unable to make.i have installed linux red hat 9.0.
> 
> can any one help.
> 
> ------------------------------
> 
> Message: 3
> Date: Fri, 15 Oct 2004 00:02:25 +0200
> From: "Xavier Marchador" <[email-masked]>
> Subject: Re: [manet] How to change de Active Route Timeout in AODV
> To: <[email-masked]>, "Manel Guerrero" <[email-masked]>
> Cc: [email-masked]
> Message-ID: <001701c4b239$7f0f36c0$0301a8c0@workspace>
> Content-Type: text/plain;       charset="iso-8859-1"
> 
> Hi all,
> 
> I'll try this too. By the way, what is bind? it's a function? a C++ command?
> I've never used it before.
> 
> thanks
> 
> Xavi
> 
> ----- Original Message -----
> From: <[email-masked]>
> To: "Manel Guerrero" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Thursday, October 14, 2004 6:29 PM
> Subject: Re: [manet] How to change de Active Route Timeout in AODV
> 
> > Hi,
> >
> > You can change it in the tcl script too.
> > In AODV.cc, bind the variable using
> > bind("actrttout",&ACTIVE_ROUTE_TIMEOUT);
> > and in the tcl file use
> >
> > Agent/AODV set actrttout $opt(val)
> >
> > where $opt(val) is the actual value.
> >
> > Hope this helps
> >
> > Thanks
> > Kiran Vadde
> >
> >
> > On Thu, 14 Oct 2004, Manel Guerrero wrote:
> >
> > > Hi Xavier :)
> > >
> > > Xavier M. wrote:
> > >
> > >  > Hi all,
> > >  >
> > >  > I would like to know how to change the ACTIVE ROUTE TIMEOUT parameter
> in the tcl script for using it in a ns-2 simulation. I am using the AODV
> routing protocol. What is the default value? is it 3? what other values can
> be set?
> > >
> > >
> > > In the file 'ns-2.27/aodv/aodv.h'
> > >      line 79 you have the '#define':
> > >
> > > 8<--------
> > > #define ACTIVE_ROUTE_TIMEOUT    10                // 50 seconds
> > > -------->8
> > >
> > > So the default value is 10 seconds (ignore the comment at the end of the
> line).
> > >
> > > You can set a different value just by replacing the '10' for whatever
> number
> > > of seconds you preffer. (And then recompile the thing).
> > >
> > > I don't know if there is a way to do it without changing the source
> code.
> > > A fast search sugests that there is no other way:
> > >
> > > 8<--------
> > > foobar/ns-2.27/aodv$ fgrep "ACTIVE_ROUTE_TIMEOUT" *
> > > aodv.cc:     // Set expiry time to CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT
> > > aodv.cc:       rt0->rt_expire = CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT;
> > > aodv.cc:   rt->rt_expire = CURRENT_TIME + ACTIVE_ROUTE_TIMEOUT;
> > > aodv.h:#define ACTIVE_ROUTE_TIMEOUT    10
> // 50 seconds
> > > foobar/ns-2.27/aodv$
> > > -------->8
> > >
> > > Hope this helps ;)
> > >
> > >      Manel
> > >
> > > P.D.: I didn't know telefonica was working on this ;)
> > >
> > >  > I am using the ns-allinone2.27 package and I don't know whether it
> can be done directly with tcl or not.
> > >  >
> > >  >
> > >  >
> > >  > thank you for your help
> > >  >
> > >  > Xavier M.
> > >  >
> > >  > _______________________________________________
> > >  > manet mailing list
> > >  > [email-masked]
> > >  > https://www1.ietf.org/mailman/listinfo/manet
> > >
> > >
> > >
> > > _______________________________________________
> > > manet mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/manet
> > >
> >
> > Kiran Vadde
> > Graduate Research Associate
> > Dept. of Computer Science and Eng.
> > Arizona State University
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> 
> ------------------------------
> 
> Message: 4
> Date: Fri, 15 Oct 2004 22:14:39 +0800
> From: "Boon Yeo" <[email-masked]>
> Subject: [manet] WOCN 2005 CFP
> To: <[email-masked]>
> Message-ID: <005401c4b2c1$53031640$313815a5@bearty1>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> **Apologies for multiple copies**
> 
> Call for Papers
> 
> Second IFIP International Conference on  Wireless and Optical Communications Networks WOCN 2005
> March 6 - 9, 2005, Dubai, United Arab Emirates UAE  Paper Submission
> 
> http://www.wocn2005.org
> =================================================================================================
> 
> Sponsored by IFIPTC6 WG6.8 (Mobile and Wireless Communications),
> WG6.6 (Management of Networks and Distributed Systems), WG6.10 (Photonic Networking)
> 
> Technically sponsored by IEEE Communication Society
> 
> Endorsed by:
> IEEE ComSoc Technical Committee on Information Infrastructure (TCII),
> IEEE ComSoc Technical Committee on Personal Communications (TCPC)
> 
> The Second IFIP International Conference on wireless and Optical Communications Networks (WOCN 2005) invites high-quality recent research results in the areas of Mobile and Wireless Communications, optical communications and networking, architectures, protocols, planning and design, management and operation. The main goal of the conference is to bring together scientists and engineers who work on wireless and optical communications networks. The Second IEEE and IFIP International Conference on Wireless and Optical Communications Networks (WOCN 2005) will be held in Dubai, United Arab Emirates March 2005. WOCN 2005 is the second conference in its series aimed at stimulating technical exchange in the emerging and important field of mobile, wireless and Optical communications networks. WOCN 2005 seeks to address and capture highly innovative and state of the art research and work in the wireless and Optical industries. The scope of the conference includes a wide range of techni.......
> as optic
> al amplifier, tunable filters, transceivers, termination devices and add-drop multi-plexers are becoming more affordable and reliable. Access and metropolitan area networks are increasingly built with optical technologies to overcome the electronic bottleneck at network edges. New components and subsystems for high-speed optical networks offer new design options. The objective of this event is therefore to foster the exchange of information among researchers in this fast-moving field. The authors can present their finding on new Fibers, optical fiber gratings and devices, optical amplifiers, optical sensing and medical application of fiber optics and opto-electronics.
> 
> Important Dates
> 
> Paper Submissions Deadline: December 15, 2004
> Notification of Acceptance: January 1, 2005
> Camera Ready Versions Due: January 15, 2005
> 
> Information for Contributors
> 
> Contributions are invited on all topics concerning wireless and optical communications networks and components. We are soliciting original papers describing the state-of-the-art research and development in the areas of wireless and Optical Communication and Networks, including, but not limited to the following topics:
> 
> Topics of Interest
> 
>    1. Optical Networking Technologies
>    * Optical network planning, design and modelling
>    * Optical access/metro networks
>    * IP over optical networks
>    * Network protection/restoration
>    * Generalised multi-protocol label switching (GMPLS)
>    * Planning and design tools for optical networks
>    * QoS issues in optical networks
>    * Routing and wavelength assignment
>    * Multiple access technique and fairness control in optical LANs and MANs
> 
>    2. Optical Switching and Network Elements
>    * Photonic switching system architectures
>    * Optical cross-connects and add-drop multiplexers
>    * Optical IP routers
>    * Photonic packet switching
>    * Network signalling and monitoring techniques
>    * Optical signal processing
>    * Wavelength conversion techniques
> 
>    3. Optical Transmission Technologies
>    * WDM Ultra-long haul transmission systems
>    * OTDM transmission systems
>    * Soliton transmission systems
>    * Transmission system experiments
>    * Radio over fibre-optics
>    * Optical interconnections
>    * Optical interfaces and terminals
> 
>    4. Optical Passive Components
>    * Fiber-Bragg-grating-based devices
>    * Fiber-grating dispersion compensators
>    * Optical circulators and isolators
>    * Optical waveguide-based devices
>    * Fiber and waveguide filters
>    * Microstructured waveguides and devices
>    * Arrayed waveguide devices
>    * Optical splitting and directional couplers
> 
>    5. Optical Active Components and Modules
>    * Optical modulators and switches
>    * Semiconductor optical amplifiers
>    * Semiconductor lasers and detectors
>    * Fibre amplifiers and lasers
>    * Raman and Brillouin amplifiers
>    * Automatic gain control of optical amplifiers
>    * Optical MEMS
>    * Photonic integrated circuits/modules
>    * Optical tunable filters
>    * Optical logics and memories
> 
> Mobile and Wireless Communications topics of interest include but are not limited to the following:
> 
>    1. Management Resource and Information Management
>    * Pricing and Billing Issues
> 
>    2. Architecture
>    * Convergence of Fixed and Mobile
>    * Hybrid Communications System
> 
>    3. Devices
>    * Low-Power End-Devices and Wireless Communications
> 
>    4. Security
>    * Security in Mobile and Wireless Networks
> 
>    5. QoS
>    * Adaptive Quality of Service Provisioning
>    * End-to-end Quality of Service
> 
>    6. Mobility Support
>    * Handoff Algorithms
>    * IP and Mobility
>    * Mobility and Connection Management in Heterogeneous Wireless Networks
>    * Policy-based Mobility Management
> 
>    7. Applications
>    * Personal Communications
>    * Location and Context Management
>    * Smart Media
>    * Mobile Code
>    * Mobile Ad-Hoc Networks Applications
> 
>    8. Access
>    * Wireless IP
>    * Wireless Multimedia Services
>    * Wireless Local Loop (WLL)
>    * Multiple Access Technology
>    * Broadband Wireless Access
> 
>    9. Networking
>    * Wireless Personal Area Networks
>    * Wireless Local Area Networks
>    * Mobility and Nomadic Computing
>    * Analysis and Simulation of Mobile Network Protocols
>    * Home Networking
>    * Mobile Ad-hoc Networks and the Internet
>    * Mobile Ad-Hoc Networking Routing
>    * Satellite Networks
> 
> Paper Submission Guidelines
> 
> Authors are requested to submit electronically a PDF or Word file to Dr. Boon Sain Yeo, [email-masked] <mailto:[email-masked]>. Papers should be written in English and should preferably follow the instructions in <Template.pdf>. Preferred maximum paper length is 5 printed pages (10-point font) including figures. IEEE will accept papers for review up to 7 pages in length. Accepted papers that are longer than 5 pages will be charged an over length fee of $100 USD for 6 pages and $200 USD for 7 pages. Under no circumstances may any submission should exceed 7 pages. Papers in excess of 7 pages shall not be considered for review or publication. The cover page is not included in the page count. The title of the paper, author's name, affiliation, complete return address, telephone number, facsimile number and e-mail address should appear at the top of the first page followed by an abstract with a maximum of 100 words. Authors must state that their paper has neither been pu.....
> 
> Please contact: Dr. Boon Sain Yeo @ [email-masked]
> 
> Panels and Tutorials
> 
> For information on submitting proposals for Panels and Tutorials,
> Please contact: [email-masked] or [email-masked]
> 
> Organising Committee
> 
> General Chair: Professor Guy Omidyar, USA
> General co-chairs: Dr. Eesa M. Bastaki, IEEE UAE
> Section chair: Abdullah I. Lootah, Vice Chairman Lootah Group
> General Vice Chair: Abdumunam Lootah, UAE
> Program co-Chairs:
> Dr. Boon Sain Yeo, I2R Singapore
> Professor Maurice Gagnaire, ENST, France
> Tutorials Chairs: Dr. Nazar Elfadil
> Treasurer: Dr. Naser Nick Manochehri
> 
> =================================================================================================
> 
> Please visit the WOCN 2005 home page http://www.wocn2005.org for more information about the conference.
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: http://www1.ietf.org/pipermail/manet/attachments/20041015/a1023385/attachment.htm
> 
> ------------------------------
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 
> End of manet Digest, Vol 6, Issue 19
> ************************************
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet